import Builder, { ColorsControl, toProps } from "../../utils/builder";
export default {
    title: 'Fields/Switch',
    component: 'x-switch',
    argTypes: {
        color: ColorsControl,
    },
};
const Template = new Builder(args => `<div style="max-width: 400px">
	<x-switch ${toProps(args)}>Doloremque esse commodi id consequuntur ducimus eos similique molestiae repellat voluptate?</x-switch>
</div>`);
export const Simple = Template.args({}).build();
export const Loading = Template.args({
    loading: true
}).build();
